Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517664 - borgbackup 1.1.3 is available (CVE-2017-15914)
Summary: borgbackup 1.1.3 is available (CVE-2017-15914)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: borgbackup
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Benjamin Pereto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 08:22 UTC by Felix Schwarz
Modified: 2017-12-17 20:32 UTC (History)
2 users (show)

Fixed In Version: borgbackup-1.1.3-1.fc27 borgbackup-1.1.3-1.fc26 borgbackup-1.1.3-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-10 19:19:40 UTC


Attachments (Terms of Use)

Description Felix Schwarz 2017-11-27 08:22:25 UTC
borgbackup 1.1.3 is available
https://github.com/borgbackup/borg/blob/1.1.3/docs/changes.rst#version-113-2017-11-27

This release includes a somewhat important security fix (CVE-2017-15914):

> Incorrect implementation of access controls allows remote users to override repository restrictions in Borg servers. A user able to access a remote Borg SSH server is able to circumvent access controls post-authentication. Affected releases: 1.1.0, 1.1.1, 1.1.2. Releases 1.0.x are NOT affected.

Comment 1 Fedora Update System 2017-11-29 05:58:50 UTC
borgbackup-1.1.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-12e12a6bff

Comment 2 Fedora Update System 2017-11-29 05:59:31 UTC
borgbackup-1.1.3-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-81115c3047

Comment 3 Fedora Update System 2017-11-29 06:00:15 UTC
borgbackup-1.1.3-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7b0a42338c

Comment 4 Fedora Update System 2017-12-02 19:52:36 UTC
borgbackup-1.1.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-81115c3047

Comment 5 Fedora Update System 2017-12-02 21:47:27 UTC
borgbackup-1.1.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-12e12a6bff

Comment 6 Fedora Update System 2017-12-02 22:38:09 UTC
borgbackup-1.1.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7b0a42338c

Comment 7 Fedora Update System 2017-12-10 19:19:40 UTC
borgbackup-1.1.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-12-10 20:15:12 UTC
borgbackup-1.1.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-12-17 20:32:05 UTC
borgbackup-1.1.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.